-- Define a table to hold your commands
local commands = {}

-- Function to register a new command
function commands.register(name, callback)
	 commands[name] = callback
end

-- Function to execute a command
function commands.exec(name, ...)
	 local command = commands[name]
	 if command then
			command(...)
	 else
			if name == nil then name = "nil" end
			print("Unknown command: " .. name)
	 end
end

return commands
