-- continuous_client.lua

local socket = require("socket")

-- Set server address and port
local serverAddress = "127.0.0.1"
local serverPort = "12345"

-- Create a UDP socket
local udp = assert(socket.udp())
udp:setpeername(serverAddress, serverPort)
udp:settimeout(0)  -- Non-blocking


while true do
	 -- Data to send to the server
	 local dataToSend = "test messages"

	 -- Send data to the server
	 udp:send(dataToSend)

	 -- Receive data from the server
	 local receivedData, err = udp:receive()

	 -- Check if data was received
	 if receivedData then
			print("Received from server: " .. receivedData)
	 elseif err ~= "timeout" then
			print("Error receiving data: " .. (err or "unknown error"))
	 end

	 -- Sleep for a short duration before the next iteration (adjust as needed)
	 --socket.sleep(1)
end
