-- main.lua (Client)

local socket = require("socket")

function love.load()
	 udp = socket.udp()
	 udp:setpeername("127.0.0.1", "12345")  -- Set server address and port
	 udp:settimeout(0)  -- Non-blocking
	 dataToSend = "..,/:"
	 receivedData = ""
end

function love.update(dt)
	 -- Send data to the server
	 udp:send("test ".. dataToSend)

	 -- Receive data from the server
	 receivedData = udp:receive()
	 if receivedData then
			print("Received from server: " .. receivedData)
	 end
end

function love.draw()
	 love.graphics.print("Client", 10, 10)
end
